If you think a bug might affect users in the 57 release, please set the correct tracking and status flags for Release Management.

Latest tinderbox build too large to flash on hamachi

VERIFIED FIXED in Firefox OS v2.0

Status

Firefox OS
Gaia::Everything.me
P1
blocker
VERIFIED FIXED
3 years ago
3 years ago

People

(Reporter: dwong, Assigned: ypwalter)

Tracking

({qablocker, regression})

unspecified
2.0 S3 (6june)
ARM
Gonk (Firefox OS)
qablocker, regression
Dependency tree / graph

Firefox Tracking Flags

(blocking-b2g:2.0+, b2g-v2.0 fixed)

Details

(Whiteboard: [fromAutomation][c=automation p= s= u=][systemsfe])

Attachments

(3 attachments)

(Reporter)

Description

3 years ago
Recent builds of tinderbox seemed to have spiked in size by more than a few megabytes. Due to this it is unable to be flashed onto hamachi devices as they do not have a large enough system partition.

Most recent Gecko build before size increase: http://selenium.qa.mtv2.mozilla.com:8080/job/b2g.hamachi.mozilla-central.tinderbox.download/455/

Gecko build directly following: http://selenium.qa.mtv2.mozilla.com:8080/job/b2g.hamachi.mozilla-central.tinderbox.download/456/

Latest job failing not due to size constraints:
http://selenium.qa.mtv2.mozilla.com:8080/view/B2G%20Hamachi/job/b2g.hamachi.mozilla-central.unittests/757/
Gaia build: https://github.com/mozilla-b2g/gaia/commit/82679a5ce84d1b6bf388da6536d5682a3ad56de3
Gecko build: https://hg.mozilla.org/mozilla-central/6a984e21c2ca

Earliest job failing due to size constraints: http://selenium.qa.mtv2.mozilla.com:8080/view/B2G%20Hamachi/job/b2g.hamachi.mozilla-central.unittests/758/
Gaia build: https://github.com/mozilla-b2g/gaia/commit/e43011c698274d4721c8466e4d7cc561d017b1fd
Gecko build: https://hg.mozilla.org/mozilla-central/6a984e21c2ca
This is blocking literally all of our Hamachi-based automation (both UI testing and performance), on master/mozilla-central.
Keywords: qablocker
Whiteboard: [fromAutomation]

Updated

3 years ago
blocking-b2g: --- → 2.0?
Keywords: regression, regressionwindow-wanted
Adding window wanted to bisect this down to a tinderbox eng. build where this is failing.
Keywords: qaurgent
It's between:

FAILING: Build #456 (Jun 2, 2014 3:41:37 PM)

15:42:42 Checking out Revision e43011c698274d4721c8466e4d7cc561d017b1fd (origin/master)
15:42:42  > git config core.sparsecheckout
15:42:42  > git checkout -f e43011c698274d4721c8466e4d7cc561d017b1fd
15:42:45  > git rev-list 8341cddb04773957069ac1334692a888b8bb1091

PASSING: Build #455 (Jun 2, 2014 9:06:52 AM)

Device firmware (date) 	18 Dec 2013 22:04:55
Device firmware (incremental) 	324
Device firmware (release) 	4.0.4
Device identifier 	msm7627a
Gaia date 	01 Jun 2014 23:00:47
Gaia revision 	82679a5ce84d
Gecko build 	20140602072010
Gecko revision 	6a984e21c2ca
Gecko version 	32.0a1

Askeing, Al, can you help us nail this down further?
(Assignee)

Comment 4

3 years ago
Askeing is on a personal leave now. Eric and I are on tw-qa jenkins issues. We will investigate.
(Assignee)

Comment 5

3 years ago
According to Stephen, it's basically between 2 pvt engineer build 20140602072051 and 20140602160205. 
When pushing gaia, the newer build pushing in these things in addition to the old build:

I compared two different pvt build.
The size of homescreen app has increased by 8MB.
Besides, there are 20KB increase in video and collection

Also, a strange app cost 60KB
60	20140602160205/gaia/profile/webapps/{e2ffe740-59b2-4791-9b9a-b5dac46f92bf}

I will try to track it down more.
(Assignee)

Comment 6

3 years ago
Created attachment 8433001 [details]
Build ID: 20140602072051, size of each app
(Assignee)

Comment 7

3 years ago
Created attachment 8433002 [details]
Build ID: 20140602160205, size of each app
(Assignee)

Comment 8

3 years ago
done. https://github.com/mozilla-b2g/gaia/commit/76e4b6e148cc8f162c8e3d61c652ac330d13cad0
I think it is the patch that contains few MB.

Also, ccing Arthur for his reference.
Keywords: regressionwindow-wanted
(Assignee)

Comment 9

3 years ago
Also, https://github.com/mozilla-b2g/gaia/commit/13c94caf282413bae2cc88cf2662b76ca0426f73

Updated

3 years ago
Priority: -- → P1
Whiteboard: [fromAutomation] → [fromAutomation][c=automation p= s= u=]

Updated

3 years ago
blocking-b2g: 2.0? → 2.0+
For completeness, in the bad build, we go from (pre-push:

17:25:22 Showing free space
17:25:22 Filesystem             Size   Used   Free   Blksize
17:25:22 /dev                    90M    48K    90M   4096
17:25:22 /mnt/asec               90M     0K    90M   4096
17:25:22 /mnt/obb                90M     0K    90M   4096
17:25:22 /system                200M   135M    64M   4096
17:25:22 /data                  161M     4M   156M   4096
17:25:22 /persist                 4M   908K     3M   4096
17:25:22 /cache                  40M     1M    38M   4096

to:

17:25:41 Showing free space
17:25:41 Filesystem             Size   Used   Free   Blksize
17:25:41 /dev                    90M    48K    90M   4096
17:25:41 /mnt/asec               90M     0K    90M   4096
17:25:41 /mnt/obb                90M     0K    90M   4096
17:25:41 /system                200M   197M     2M   4096
17:25:41 /data                  161M     4M   156M   4096
17:25:41 /persist                 4M   908K     3M   4096
17:25:41 /cache                  40M     1M    38M   4096

(That's before we push Gaia, after which, we see the "no space left on device" error, which you'll see in the attached log.)

I'll attach the full logfile, next.
Created attachment 8433085 [details]
console-log.txt

Updated

3 years ago
Component: General → Gaia::Everything.me
Whiteboard: [fromAutomation][c=automation p= s= u=] → [fromAutomation][c=automation p= s= u=][systemsfe]
Amir - I need the patches Walter calls out backed out. Can you back out?
Flags: needinfo?(amirn)

Updated

3 years ago
Keywords: qaurgent
(In reply to Jason Smith [:jsmith] from comment #12)
> Amir - I need the patches Walter calls out backed out. Can you back out?

commit: 2680cf4fc70c59cf801aab8283c0b3178175e3cf
Revert "Bug 960720 - Change the client side Smart Collection wallpapers [r=ranbena]"
This reverts commit 13c94ca.

commit: dd9e74d196675b0b05170f0ab94a80a36697a551
Revert "Bug 965711 - [VsD Refresh] Homescreen/E.Me - Implement visual refresh to smart collections icons [r=ranbena]"
This reverts commit 76e4b6e.
Flags: needinfo?(amirn)
Thanks. We should be good now. If that's not the case, please reopen & clarify why.
Blocks: 960720, 965711
Status: NEW → RESOLVED
Last Resolved: 3 years ago
Resolution: --- → FIXED
Assignee: nobody → wachen
status-b2g-v2.0: --- → fixed
Target Milestone: --- → 2.0 S3 (6june)
(Reporter)

Comment 15

3 years ago
Verified fixed with build:
http://selenium.qa.mtv2.mozilla.com:8080/job/b2g.hamachi.mozilla-central.tinderbox.download/463/

gaia: https://github.com/mozilla-b2g/gaia/tree/dd9e74d196675b0b05170f0ab94a80a36697a551
gecko: https://hg.mozilla.org/mozilla-central/78245b8d422d
Status: RESOLVED → VERIFIED
(Assignee)

Comment 16

3 years ago
Also verified fixed with build:
https://pvtbuilds.mozilla.org/pvt/mozilla.org/b2gotoro/nightly/mozilla-central-hamachi-eng/2014/06/2014-06-03-16-02-02/

Gaia      1d4f6f7312882e78b57971152de75d1281a26187
Gecko     https://hg.mozilla.org/mozilla-central/rev/668f29cd71b3
BuildID   20140603160202
Version   32.0a1
ro.build.version.incremental=324
ro.build.date=Thu Dec 19 14:04:55 CST 2013
You need to log in before you can comment on or make changes to this bug.